/*
    Project: GoGoChart website revamp
    Author: http://www.CodingCat.hk
*/

main {
    padding-bottom: 20px;
    background-image: url('../images/Download-eBook.html/background.png');
    background-size: 100% 100%;
    background-repeat: no-repeat;
}

/* Page Cover */
.page-cover { display: flex; align-items: center; }
.page-cover .wrapper { display: flex; justify-content: space-between; align-items: center; }
.page-cover .wrapper .icon-thumbnail { margin-right: 28px; min-width: 360px; }
.page-cover .wrapper .icon-thumbnail > * {
    padding-top: 130%;
    background-image: url('../images/Download-eBook.html/ebook-cover.png');
    background-repeat: no-repeat;
    background-size: 100% 100%;
    background-position: center;
}

.page-cover .wrapper h1,
.page-cover .wrapper h2,
.page-cover .wrapper h3 { margin: 0; padding: 0; color: #4b4b4b; text-transform: uppercase; }

.page-cover .wrapper h1 { font-size: 26px; }
.page-cover .wrapper h2 { margin-top: 15px; margin-bottom: 21px; font-size: 38px; font-weight: 700; }
.page-cover .wrapper h3 { margin-bottom: 21px; font-size: 26px; }

.page-cover .wrapper content .form-controls {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    grid-row-gap: 58px;
    margin-bottom: 58px;
}
.page-cover .wrapper content .form-controls input {
    padding: 21px 14px;
    -moz-box-shadow: 0 0 0 0 rgba(217, 83, 79, .5);
    -webkit-box-shadow: 0 0 0 0 rgba(217, 83, 79, .5);
    box-shadow: 0 0 0 0 rgba(217, 83, 79, .5);
}
.page-cover .wrapper content .form-controls input:focus {
    -moz-box-shadow: 0 0 0 3px rgba(217, 83, 79, .5);
    -webkit-box-shadow: 0 0 0 3px rgba(217, 83, 79, .5);
    box-shadow: 0 0 0 3px rgba(217, 83, 79, .5);
}
.page-cover.focused .wrapper content .form-controls input.focused:not(:valid) {
    -moz-box-shadow: 0 0 0 3px rgba(231, 76, 60, 0.7);
    -webkit-box-shadow: 0 0 0 3px rgba(231, 76, 60, 0.7);
    box-shadow: 0 0 0 3px rgba(231, 76, 60, 0.7);
}
.page-cover.focused .wrapper content .form-controls input.focused:not(:valid) ~ * {
    margin-top: 7px;
    max-height: 100px;
    height: auto;
    opacity: 1;
}
.page-cover .wrapper content .form-controls span {
    position: absolute;
    display: inline-block;
    margin-top: 0;
    max-height: 0;
    height: 0;
    overflow: hidden;
    opacity: 0;
}

.page-cover .wrapper content .form-controls ~ * { position: relative; }
.page-cover .wrapper content button {
    border: 2px solid #4b4b4b;
    background-color: transparent;
    padding: 10px 30px;
    font-weight: 400;
    color: #4b4b4b;
    text-transform: uppercase;
    -moz-border-radius: 4px;
    -webkit-border-radius: 4px;
    border-radius: 4px;
}
.page-cover .wrapper content button:hover,
.page-cover .wrapper content button:focus {
    border-color: #1de9b6;
    outline-width: 0;
    background-color: #1de9b6;
    color: #fff;
}
.page-cover .wrapper content button ~ * {
    position: absolute;
    margin-top: 10px;
    top: 100%;
    left: 0;
    width: 100%;
}
.page-cover .wrapper content button ~ .text-danger { display: none; font-size: 14px; color: #e74c3c; }
.page-cover .wrapper content .form-controls.shake-horizon ~ * button ~ .text-danger { display: block; }

.page-cover .wrapper content button ~ .text-info { display: none; font-size: 26px; color: #18bc9c; }
.page-cover .wrapper content.submitted button ~ .text-info { display: block; }